[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TEventObject.Create

Create a new event object

## Declaration

Source position: syncobjs.pp line 69

`public constructor TEventObject.Create(`
`EventAttributes: PSecurityAttributes;`
`AManualReset: Boolean;`
`InitialState: Boolean;`
`const Name: string`
`);`

## Arguments

`EventAttributes` |  | Security attributes (only used on Windows)
`AManualReset` |  | Manual reset allowed
`InitialState` |  | Initial event state
`Name` |  | Name uniquely identifying the event in this process.

## Description

Create creates a new event object with unique name AName. The object will be created with security attributes EventAttributes (this parameters is used on Windows only).

The AManualReset indicates whether the event must be reset manually (if it is False, the event is reset immediately after the first thread waiting for it is notified). InitialState determines whether the event is initially set or not.

## See also

ManualReset |  | Should the event be reset manually
ResetEvent |  | Reset the event